Next: SHIFTR, Previous: SHIFTA, Up: Intrinsic Procedures [Contents][Index]

### 9.246 `SHIFTL` — Left shift

Description:

  `SHIFTL` returns a value corresponding to I with all of the bits shifted left by SHIFT places. SHIFT shall be nonnegative and less than or equal to `BIT_SIZE(I)`, otherwise the result value is undefined. Bits shifted out from the left end are lost, and bits shifted in from the right end are set to 0.

Standard:

  Fortran 2008 and later

Class:

  Elemental function

Syntax:

  `RESULT = SHIFTL(I, SHIFT)`

Arguments:

  I | The type shall be `INTEGER`.
  SHIFT | The type shall be `INTEGER`.

Return value:

  The return value is of type `INTEGER` and of the same kind as I.

See also:

  SHIFTA, SHIFTR